#include <bits/stdc++.h>

using namespace std;

long long Q(int, int);

int main(){
long long n, m; cin >> n >> m;
if(n == 1 || m == 1){ cout << m * n;}
else{
    long long c = m + n - 2 + (n * m) / 2;
    cout << c;
}

return 0;
}